<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <title>Chat using Deno</title>
</head>

<body>
    <input id="test"><button id="send">send</button>
    <div id="messages"></div>
    <script>
        const test = document.getElementById("test")
        const send = document.getElementById("send");
        const messages = document.getElementById("messages");
        const socket = new WebSocket(`ws://${window.location.host}/ws`);
        socket.onmessage = async (event) => {
            let data;
            if(typeof event.data === "string"){
                data = "Echo: " + event.data;
            } else {
                data = await event.data.text();
                socket.send(data);
                data = "Blob: " + data;
            }
            messages.innerHTML = data.toString() + "<br />" + messages.innerHTML;
        }
        send.onclick = async () => {
            let output = new Blob([test.value]);
            const returning = await output.arrayBuffer();
            socket.send(returning);
        }
    </script>
</body>

</html>